Search Issue Tracker

Fixed in 2019.3

Fixed in 2018.3, 2019.1, 2019.2

Votes

25

Found in

2018.3.13f1

2019.1.0f1

2019.2.0a11

Issue ID

1144643

Regression

Yes

Editor throws error when importing native 2.7x .blend file, imported file is not recognized

Asset Importers

-

To reproduce:
1. Open user's attached project ("Blank_Project_2019")
2. Reimport all Assets
-- Error in the console, file is not recognized

Expected: File is imported, no error is shown
Actual: File is not imported, error is shown

Reproduced with: 2019.1.0f1, 2019.2.0a11
Not reproduced with: 2017.4.25f1, 2018.3.10f1, 2019.2.0a10

Note:
- Issue is reproducible even with newly created .blend file
- An error is thrown in the console:
"Blender could not convert the .blend file to FBX file.
You need to use Blender 2.45-2.49 or 2.58 and later versions for direct Blender import to work."

Fixed in:
2019.3.0a1
2019.2.0a14

Fix note:
In order for the fix to be effective, Blender 2.8 instead of 2.79 must be set as default program to open native .blend files.

Comments (27)

  1. F89086ae67039c977b402cb081b57489?d=mm

    karlabombey

    May 27, 2019 11:01

    Thanks, great page! I was looking for it long time https://jiofilocalhtml.in/

  2. 69632cee18eeebb27afe281cf169df14?d=mm

    joshuaprice153

    May 20, 2019 04:12

    Cool. can I share this post to my blog? I'd appreciate it. Cheers! https://www.acstreeservicelakeland.com

  3. D8e82798a00129d881bdc2066208ce9b?d=mm

    robermartin

    Apr 25, 2019 09:40

    In today's date most of the people interested to know about it, So for that you just get some review and by this, you will be very helpful. Just visit: https://errorcode0x.com/solved-canon-printer-error-code-1660/

  4. 27f055a85b1dfc40c0df0130ced927c3?d=mm

    Lee-Jong-Hoon

    Apr 22, 2019 14:51

    me too error.
    I use blender 2.79

  5. F55004ce568abc3a08548a1fd2acc79f?d=mm

    kankeus

    Apr 20, 2019 05:32

    This issue can be fixed temporarily by this:
    -Uninstall Blender 2.8
    -Install Blender 2.79 or earlier
    -Copy 'Unity-BlenderToFBX.py' from 2018.3 or earlier versions to 2019.1 editor folder. (On Mac it's Applications/Hub/Editor/2019.1.0f2/Unity.app/Contents/Tools)

  6. Eb942822bbe5420648f248b7a7e5de79?d=mm

    AndyKorth

    Apr 18, 2019 20:24

    We confirm this issue with our team. We have Blender files that are working in Unity 2018.3.12f1, but fail to import with the same message in Unity 2019.1.0f2.

    I have Blender 2.79 installed on this machine.

  7. Ff4c96a4accecbef9c32f6c9a5a9c91c?d=mm

    VincentPaquinUbiant

    Apr 17, 2019 15:00

    This issue includes incompatibility with versions of Blender inferior to 2.8 (which right now is in beta)
    as well as an issue concerning a wrong rotation of the bones, which are orientated differently depending on the version of Blender, therefore breaking retro compatibility.

Add comment

Log in to post comment

All about bugs

View bugs we have successfully reproduced, and vote for the bugs you want to see fixed most urgently.